Skip to main content
GET
/
core
/
syncs
/
{sync_id}
/
jobs
Get Sync Jobs
curl --request GET \
  --url https://api.rootfi.dev/v3/core/syncs/{sync_id}/jobs \
  --header 'api_key: <api-key>'
import requests

url = "https://api.rootfi.dev/v3/core/syncs/{sync_id}/jobs"

headers = {"api_key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {api_key: '<api-key>'}};

fetch('https://api.rootfi.dev/v3/core/syncs/{sync_id}/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "rootfi_id": 1,
      "rootfi_created_at": "2021-08-31T18:00:00Z",
      "rootfi_updated_at": "2021-08-31T18:00:00Z",
      "rootfi_company_id": 1,
      "start_time": "2021-08-31T18:00:00Z",
      "end_time": "2021-08-31T18:00:00Z",
      "integration_type": "XERO",
      "status": "SUCCESS",
      "data_model": "ACCOUNTS",
      "config_mode": "READ",
      "sync_id": "VmaVgKMaiygMzTK1",
      "parent_job_id": "VmaVgKMaiygMzTK1",
      "retry_count": 0,
      "priority": 0,
      "variables": {},
      "error": {},
      "config_id": "VmaVgKMaiygMzTK1",
      "job_type": "PUSH",
      "response_length": 0,
      "response_size": 0,
      "rate_limit_sleep_time": 0
    }
  ],
  "next": "eyJpZCI6MX0%3DMX0%3DMX0%3DMX0%3DMX0%3D"
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}

Authorizations

api_key
string
header
required

Path Parameters

sync_id
string
required

The ID of the sync to retrieve

Response

The data of the sync jobs endpoint

data
coreJobData · object[]
required

The data of the sync jobs endpoint

next
string | null

The next page of objects to retrieve